Skip to content

Run an AI Image to Video Generator V2 task.

Request

AI tasks are asynchronous. Prefer webhook-based completion handling when the feature supports webhooks. Configure your webhook endpoint, verify webhook signatures, and use the received task_id to query the task result after a success or error notification. See the webhook integration guide for setup and verification details.

If webhooks are not supported or cannot be used in your integration, implement polling. After submitting an AI task, poll the status endpoint at regular intervals (e.g., every 10 seconds) until the task status is success or error.

Security
BearerAuthenticationV2
Bodyapplication/jsonrequired
Any of:
resolutionstringrequired

To select the output resolution used in inference.

Enum:"480""720""1080"
Example:"480"
dst_durationintegerrequired

To select the output duration used in inference.

Enum:510
Example:5
promptstring, [ 1 .. 1500 ] characters

Can be in any language. Will be automatically enhanced and output as English using Gemini API. Short prompts are ideal.

Example:"その女性は微笑んで、カメラを見ています"
negative_promptstring, [ 1 .. 1500 ] characters

The negative prompt.

Example:"worst quality, low quality, JPEG compression residue, ugly."
modelstring

Model name.

Value:"youcam-video-v2"
src_file_urlstringrequired

Url of the file to run task. The url should be publicly accessible.

Example:"https://example.com/selfie.jpg"
POST
/s2s/v2.0/task/image-to-video/youcam
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/image-to-video/youcam \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg",
    "resolution": "480",
    "dst_duration": 5,
    "prompt": "その女性は微笑んで、カメラを見ています",
    "negative_prompt": "worst quality, low quality, JPEG compression residue, ugly.",
    "model": "youcam-video-v2"
  }'

Responses

Successful execution of the task

Bodyapplication/json
statusinteger

Response status

Example:200
dataobject
Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }